VERSION 5.00
Begin VB.UserControl VBTownLabel 
   AutoRedraw      =   -1  'True
   ClientHeight    =   2880
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3840
   ScaleHeight     =   240
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   320
End
Attribute VB_Name = "VBTownLabel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' This control created by VBTown staff.
' It's Freeware.
' for more information and from freewares activex controls
' visit our site at: http://cuinl.tripod.com


Dim CaptionVar As String
Dim Color1Var, Color2Var As OLE_COLOR
Dim CaptionDepthVar  As Integer
Dim FactorR, FactorG, FactorB
Dim FromR, FromG, FromB, ToR, ToG, ToB
Dim BorderVar As Boolean
Event Click()
Event DblClick()
Event KeyDown(KeyCode As Integer, Shift As Integer)
Event KeyUp(KeyCode As Integer, Shift As Integer)
Event KeyPress(KeyAscii As Integer)
Event MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
Event MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
Event MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)


Private Sub UserControl_Click()
   RaiseEvent Click
End Sub

Private Sub UserControl_DblClick()
   RaiseEvent DblClick
End Sub


Private Sub UserControl_Initialize()
   If BorderVar Then UserControl.BorderStyle = 1
End Sub

Private Sub UserControl_InitProperties()
   CaptionVar = Name
   CaptionDepthVar = 8
   Color1 = vbBlack
   Color2 = vbRed
   UserControl.FontSize = 38
   BorderVar = False
End Sub



Private Sub UserControl_KeyDown(KeyCode As Integer, Shift As Integer)
     RaiseEvent KeyDown(KeyCode, Shift)
End Sub

Private Sub UserControl_KeyPress(KeyAscii As Integer)
     RaiseEvent KeyPress(KeyAscii)
End Sub

Private Sub UserControl_KeyUp(KeyCode As Integer, Shift As Integer)
    RaiseEvent KeyUp(KeyCode, Shift)
End Sub



Public Sub AboutBox()
Attribute AboutBox.VB_UserMemId = -552
       MsgBox "This Control Is FreeWare, and created by VBTown." + Chr(13) + "For more information and other free open source code ActiveX controls, please visit our site at http://cuinl.tripod.com", , "About this control"
End Sub



Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
     RaiseEvent MouseDown(Button, Shift, x, y)
End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
     RaiseEvent MouseMove(Button, Shift, x, y)
End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
     RaiseEvent MouseUp(Button, Shift, x, y)
End Sub

Private Sub UserControl_Resize()
    Call Draw3d
End Sub

Public Property Get BackColor() As OLE_COLOR
    BackColor = UserControl.BackColor
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
   UserControl.BackColor() = New_BackColor
   Call Draw3d
   PropertyChanged "BackColor"
End Property


Public Property Get Border() As Boolean
    Border = BorderVar
End Property

Public Property Let Border(ByVal New_Border As Boolean)
   BorderVar = New_Border
   If BorderVar Then
         UserControl.BorderStyle = 1
   Else
         UserControl.BorderStyle = 0
   End If
   PropertyChanged "Border"
End Property


Public Property Get Caption() As String
   Caption = CaptionVar
End Property

Public Property Let Caption(ByVal New_Caption As String)
    CaptionVar = New_Caption
    Call Draw3d
    PropertyChanged "Caption"
    
End Property

Public Property Get CaptionDepth() As String
    CaptionDepth = CaptionDepthVar
End Property

Public Property Let CaptionDepth(ByVal New_CaptionDepth As String)
    If (New_CaptionDepth < 1) Then New_CaptionDepth = 1
    CaptionDepthVar = New_CaptionDepth
    Call Draw3d
    PropertyChanged "CaptionDepth"
    
End Property

Public Property Get Color1() As OLE_COLOR
    Color1 = Color1Var
End Property

Public Property Let Color1(ByVal New_Color As OLE_COLOR)
    Color1Var = New_Color
    Call Draw3d
    PropertyChanged "Color1"
End Property


Public Property Get Color2() As OLE_COLOR
    Color2 = Color2Var
End Property

Public Property Let Color2(ByVal New_Color As OLE_COLOR)
    Color2Var = New_Color
    Call Draw3d
    PropertyChanged "Color2"
End Property
Public Property Get Enabled() As Boolean
    Enabled = UserControl.Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
    UserControl.Enabled() = New_Enabled
    PropertyChanged "Enabled"
End Property


Public Property Set Picture(ByVal New_Picture As Picture)
    Set UserControl.Picture = New_Picture
    Call Draw3d
    PropertyChanged "Picture"
End Property

Public Property Get Picture() As Picture
     Set Picture = UserControl.Picture
End Property

Public Property Set Font(ByVal New_Font As Font)
    Set UserControl.Font = New_Font
    Call Draw3d
    PropertyChanged "Font"
End Property
Public Property Get Font() As Font
    Set Font = UserControl.Font
End Property

Public Property Get MousePointer() As MousePointerConstants
    MousePointer = UserControl.MousePointer
End Property

Public Property Let MousePointer(ByVal New_MousePointer As MousePointerConstants)
    UserControl.MousePointer() = New_MousePointer
    PropertyChanged "MousePointer"
End Property
Public Property Get MouseIcon() As Picture
    Set MouseIcon = UserControl.MouseIcon
End Property

Public Property Set MouseIcon(ByVal New_MouseIcon As Picture)
    Set UserControl.MouseIcon() = New_MouseIcon
    PropertyChanged "MouseIcon"
End Property

Private Sub UserControl_Show()
   If BorderVar Then
         UserControl.BorderStyle = 1
   Else
         UserControl.BorderStyle = 0
   End If
End Sub

Private Sub Draw3d()
    
    UserControl.Cls
   
    Dim i As Integer
    
    FromR = Color1Var And (Not &HFFFFFF00)
    FromG = (Color1Var And (Not &HFFFF00FF)) \ &H100&
    FromB = (Color1Var And (Not &HFF00FFFF)) \ &HFFFF&
   
    ToR = Color2Var And (Not &HFFFFFF00)
    ToG = (Color2Var And (Not &HFFFF00FF)) \ &H100&
    ToB = (Color2Var And (Not &HFF00FFFF)) \ &HFFFF&
      
    FactorR = (ToR - FromR) / CaptionDepthVar
    FactorG = (ToG - FromG) / CaptionDepthVar
    FactorB = (ToB - FromB) / CaptionDepthVar
    
    For i = 0 To CaptionDepthVar
        CurrentX = i + 2
        CurrentY = i + 2
        ForeColor = RGB(FromR, FromG, FromB)
        FromR = FromR + FactorR
        FromG = FromG + FactorG
        FromB = FromB + FactorB
        UserControl.Print CaptionVar
    Next
    
End Sub



Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

     UserControl.BackColor = PropBag.ReadProperty("BackColor", &H8000000F)
     BorderVar = PropBag.ReadProperty("Border", False)
     CaptionVar = PropBag.ReadProperty("Caption", Name)
     CaptionDepthVar = PropBag.ReadProperty("CaptionDepth", 8)
     Color1Var = PropBag.ReadProperty("Color1", vbBlack)
     Color2Var = PropBag.ReadProperty("Color2", vbRed)
     UserControl.Enabled = PropBag.ReadProperty("Enabled", True)
     Set Font = PropBag.ReadProperty("Font", Ambient.Font)
     Set Picture = PropBag.ReadProperty("Picture", "")
     UserControl.MousePointer = PropBag.ReadProperty("MousePointer", 0)
     Set MouseIcon = PropBag.ReadProperty("MouseIcon", "")

End Sub





Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

    Call PropBag.WriteProperty("BackColor", UserControl.BackColor, &H8000000F)
    Call PropBag.WriteProperty("Border", BorderVar, False)
    Call PropBag.WriteProperty("Caption", CaptionVar, Name)
    Call PropBag.WriteProperty("CaptionDepth", CaptionDepthVar, 8)
    Call PropBag.WriteProperty("Color1", Color1Var, vbBlack)
    Call PropBag.WriteProperty("Color2", Color2Var, vbRed)
    Call PropBag.WriteProperty("Enabled", UserControl.Enabled, True)
    Call PropBag.WriteProperty("Font", Font, Ambient.Font)
    Call PropBag.WriteProperty("Picture", Picture, "")
    Call PropBag.WriteProperty("MousePointer", UserControl.MousePointer, 0)
    Call PropBag.WriteProperty("MouseIcon", UserControl.MouseIcon, "")

End Sub


